Package org.acplt.oncrpc

## Class OncRpcBroadcastEvent

- java.lang.Object
- - java.util.EventObject
  - - org.acplt.oncrpc.OncRpcBroadcastEvent

- All Implemented Interfaces:
    `java.io.Serializable`

      public class OncRpcBroadcastEvent
      extends java.util.EventObject

  The class `OncRpcBroadcastEvent` defines an event fired by `ONC/RPC UDP/IP-based clients` whenever replies to a `broadcast call` are received.
  Version:
    $Revision: 1.3 $ $Date: 2005/11/11 21:19:20 $ $State: Exp $ $Locker: $
  Author:
    Harald Albrecht
  See Also:
    `OncRpcBroadcastListener`, `OncRpcBroadcastAdapter`, `OncRpcUdpClient`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `private XdrAble` | `params` | Contains the parameters sent in the ONC/RPC broadcast call.
    `private int` | `procedureNumber` | Contains the number of the remote procedure called.
    `private XdrAble` | `reply` | Contains the reply from a remote ONC/RPC server, which answered the broadcast call.
    `private java.net.InetAddress` | `replyAddress` | Contains the address of the sender of the ONC/RPC reply message.
    `private static long` | `serialVersionUID` | Defines the serial version UID for `OncRpcBroadcastEvent`.

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OncRpcBroadcastEvent​(OncRpcUdpClient source, java.net.InetAddress replyAddress, int procedureNumber, XdrAble params, XdrAble reply)` | Creates a new `KscPackageUpdateEvent` object and initializes its state.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `XdrAble` | `getParams()` | Returns the parameter message sent in a broadcast RPC.
    `int` | `getProcedureNumber()` | Returns the number of the remote procedure called.
    `XdrAble` | `getReply()` | Returns ONC/RPC reply message.
    `java.net.InetAddress` | `getReplyAddress()` | Returns the address of the sender of the ONC/RPC reply message.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      Defines the serial version UID for `OncRpcBroadcastEvent`.
      See Also:
        Constant Field Values

    - #### replyAddress

          private java.net.InetAddress replyAddress

      Contains the address of the sender of the ONC/RPC reply message.

    - #### procedureNumber

          private int procedureNumber

      Contains the number of the remote procedure called.

    - #### params

          private XdrAble params

      Contains the parameters sent in the ONC/RPC broadcast call.

    - #### reply

          private XdrAble reply

      Contains the reply from a remote ONC/RPC server, which answered the broadcast call.

  - ### Constructor Detail

    - #### OncRpcBroadcastEvent

          public OncRpcBroadcastEvent​(OncRpcUdpClient source,
                                      java.net.InetAddress replyAddress,
                                      int procedureNumber,
                                      XdrAble params,
                                      XdrAble reply)

      Creates a new `KscPackageUpdateEvent` object and initializes its state.
      Parameters:
        `source` - The `ONC/RPC client object` which has fired this event.
        `replyAddress` - Internetaddress of reply's origin.
        `procedureNumber` - Procedure number of ONC/RPC call.
        `params` - The ONC/RPC call resulting in this reply.
        `reply` - The ONC/RPC reply itself.

  - ### Method Detail

    - #### getReplyAddress

          public java.net.InetAddress getReplyAddress()

      Returns the address of the sender of the ONC/RPC reply message.
      Returns:
        address of sender of reply.

    - #### getReply

          public XdrAble getReply()

      Returns ONC/RPC reply message.
      Returns:
        reply message object.

    - #### getProcedureNumber

          public int getProcedureNumber()

      Returns the number of the remote procedure called.
      Returns:
        procedure number.

    - #### getParams

          public XdrAble getParams()

      Returns the parameter message sent in a broadcast RPC.
      Returns:
        parameter message object.